Subject: guix build --rounds=N is miss advising
From: Jonathan Brielmaier <[email-masked]>
To: [email-masked]
Date: Sun, 26 Apr 2020 14:30:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The help section for `guix build --rounds=N` in 7.1.1 Common Build
Options is miss advising.

```
Note that, currently, the differing build results are not kept
around, so you will have to manually investigate in case of an
error—e.g., by stashing one of the build results with ‘guix archive
--export’ (*note Invoking guix archive::), then rebuilding, and finally
comparing the two results.
```

Should rather endorse `guix build --rounds=N --keep-failed` as this
option preservers all differing builds, not only one. This option was
proposed by Marius Bakke in IRC.